import React from 'react';
import { Document, Page } from 'react-pdf/dist/esm/entry.webpack';
import { pdfjs } from 'react-pdf';
import styles from './index.module.scss';
import BackIcon from './../images/back.svg';
import NextIcon from './../images/next.svg';
pdfjs.GlobalWorkerOptions.workerSrc = "//cdnjs.cloudflare.com/ajax/libs/pdf.js/".concat(pdfjs.version, "/pdf.worker.js");
var PDFReader = function (_a) {
    var fileReaderInfo = _a.fileReaderInfo, updateFileReaderInfo = _a.updateFileReaderInfo, onPageChange = _a.onPageChange;
    function onRenderSuccess() {
        var importPDFCanvas = document.querySelector('.import-pdf-page canvas');
        var pdfAsImageSrc = importPDFCanvas.toDataURL();
        updateFileReaderInfo({ currentPage: pdfAsImageSrc });
    }
    function onDocumentLoadSuccess(_a) {
        var numPages = _a.numPages;
        console.log('onDocumentLoadSuccess', numPages);
        updateFileReaderInfo({ totalPages: numPages });
    }
    function changePage(offset) {
        onPageChange(fileReaderInfo.currentPageNumber + offset);
    }
    var nextPage = function () { return changePage(1); };
    var previousPage = function () { return changePage(-1); };
    return (React.createElement("div", { className: styles.pdfReader },
        React.createElement("div", { className: styles.fileContainer },
            React.createElement(Document, { className: styles.document, file: fileReaderInfo.file, onLoadSuccess: onDocumentLoadSuccess, onLoadProgress: function (_a) {
                    var loaded = _a.loaded, total = _a.total;
                    return console.log('Loading a document: ' + (loaded / total) * 100 + '%');
                } },
                React.createElement(Page, { className: "import-pdf-page", onRenderSuccess: onRenderSuccess, pageNumber: fileReaderInfo.currentPageNumber }))),
        fileReaderInfo.totalPages > 1 && (React.createElement("div", { className: styles.pageInfo },
            React.createElement("button", { type: "button", disabled: fileReaderInfo.currentPageNumber <= 1, onClick: previousPage },
                React.createElement("img", { src: BackIcon, alt: "Back" })),
            React.createElement("span", { className: styles.pageInfoDetails },
                "Page\u00A0",
                React.createElement("b", null, fileReaderInfo.currentPageNumber),
                "\u00A0of",
                ' ',
                fileReaderInfo.totalPages || '--'),
            React.createElement("button", { type: "button", disabled: fileReaderInfo.currentPageNumber >= fileReaderInfo.totalPages, onClick: nextPage },
                React.createElement("img", { src: NextIcon, alt: "Next" }))))));
};
export default PDFReader;
//# sourceMappingURL=PdfReader.js.map